part of 'generated.dart';

class DeleteApplicationVariablesBuilder {
  String id;

  final FirebaseDataConnect _dataConnect;
  DeleteApplicationVariablesBuilder(this._dataConnect, {required  this.id,});
  Deserializer<DeleteApplicationData> dataDeserializer = (dynamic json)  => DeleteApplicationData.fromJson(jsonDecode(json));
  Serializer<DeleteApplicationVariables> varsSerializer = (DeleteApplicationVariables vars) => jsonEncode(vars.toJson());
  Future<OperationResult<DeleteApplicationData, DeleteApplicationVariables>> execute() {
    return ref().execute();
  }

  MutationRef<DeleteApplicationData, DeleteApplicationVariables> ref() {
    DeleteApplicationVariables vars= DeleteApplicationVariables(id: id,);
    return _dataConnect.mutation("deleteApplication", dataDeserializer, varsSerializer, vars);
  }
}

@immutable
class DeleteApplicationApplicationDelete {
  final String id;
  DeleteApplicationApplicationDelete.fromJson(dynamic json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteApplicationApplicationDelete otherTyped = other as DeleteApplicationApplicationDelete;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteApplicationApplicationDelete({
    required this.id,
  });
}

@immutable
class DeleteApplicationData {
  final DeleteApplicationApplicationDelete? application_delete;
  DeleteApplicationData.fromJson(dynamic json):
  
  application_delete = json['application_delete'] == null ? null : DeleteApplicationApplicationDelete.fromJson(json['application_delete']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteApplicationData otherTyped = other as DeleteApplicationData;
    return application_delete == otherTyped.application_delete;
    
  }
  @override
  int get hashCode => application_delete.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    if (application_delete != null) {
      json['application_delete'] = application_delete!.toJson();
    }
    return json;
  }

  DeleteApplicationData({
    this.application_delete,
  });
}

@immutable
class DeleteApplicationVariables {
  final String id;
  @Deprecated('fromJson is deprecated for Variable classes as they are no longer required for deserialization.')
  DeleteApplicationVariables.fromJson(Map<String, dynamic> json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteApplicationVariables otherTyped = other as DeleteApplicationVariables;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteApplicationVariables({
    required this.id,
  });
}

